# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "rouchdb-changes"
version = "0.4.0"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Changes feed and live streaming for RouchDB"
homepage = "https://github.com/rubylab-app/rouchdb"
readme = "README.md"
keywords = [
    "database",
    "couchdb",
    "pouchdb",
    "replication",
    "local-first",
]
categories = [
    "database",
    "data-structures",
]
license = "MIT"
repository = "https://github.com/rubylab-app/rouchdb"

[lib]
name = "rouchdb_changes"
path = "src/lib.rs"

[dependencies.rouchdb-core]
version = "0.4.0"

[dependencies.serde_json]
version = "1"

[dependencies.tokio]
version = "1"
features = [
    "sync",
    "time",
    "macros",
    "rt",
]

[dependencies.tokio-util]
version = "0.7"

[dev-dependencies.serde_json]
version = "1"

[dev-dependencies.tokio]
version = "1"
features = [
    "macros",
    "rt-multi-thread",
    "sync",
    "time",
]
